package net.kokozo.android.nfc.idmviewer;

import android.app.Activity;
import android.content.Intent;
import android.nfc.NfcAdapter;
import android.nfc.Tag;
import android.nfc.tech.NfcF;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.TextView;

public class idmviewer extends Activity {
	private TextView tv1;
    private final int MENU_ID1 = Menu.FIRST;

	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
    	Intent intent = getIntent();
    	Tag tag = (Tag) intent.getParcelableExtra(NfcAdapter.EXTRA_TAG);
    	NfcF techF = NfcF.get(tag);
    	byte[] idm = intent.getByteArrayExtra(NfcAdapter.EXTRA_ID);
    	byte[] pmm = techF.getManufacturer();
    	byte[] systemCode = techF.getSystemCode();
    	
    	tvRewrite(idm,pmm,systemCode);
    	
        Button button = (Button) findViewById(R.id.button01);
        button.setOnClickListener(new View.OnClickListener() {
        	@Override
        	public void onClick(View v) {
				System.exit(RESULT_OK);
       		}
        });
    }

    public boolean onCreateOptionsMenu(Menu menu) {
		boolean ret = super.onCreateOptionsMenu(menu);

		menu.add(0 , MENU_ID1 , Menu.NONE , "QUIT");
		return ret;
	}

	public boolean onOptionsItemSelected(MenuItem item) {
		switch(item.getItemId()) {
			case MENU_ID1:
				System.exit(RESULT_OK);
				return true;
			default:
				break;
		}
		return super.onOptionsItemSelected(item);
	}
	
	public void tvRewrite(byte[] idm, byte[] pmm, byte[] systemCode) {
    	
        StringBuffer sb = new StringBuffer();
        sb.append("IDm: ");
        for(int i = 0; i < idm.length; i++) {
        	sb.append(String.format("%02X",idm[i]));
        }
        sb.append("\n");
        sb.append("PMm: ");
        for(int i = 0; i < pmm.length; i++) {
        	sb.append(String.format("%02X",pmm[i]));
        }
        sb.append("\n");
        sb.append("System Code: ");
        for(int i = 0; i < systemCode.length; i++) {
        	sb.append(String.format("%02X",systemCode[i]));
        }
        sb.append("\n");
        
        tv1 = (TextView) this.findViewById(R.id.TextView01);
        tv1.setText(sb);
        tv1.setTextSize(22.0f);
		
	}
}
